
%define		qtver		4.8.4
%define		kdever		4.10.2
%define		snap		20130415
%define		orgname		kwebkitpart

%define		rel	1
Summary:	kde4-kwebkitpart - QWebkit plugin
Name:		kde4-kwebkitpart
Version:	%{kdever}
Release:	0.%{snap}.%{rel}
License:	GPL v2
Group:		X11/Libraries
# git clone git://anongit.kde.org/kwebkitpart
Source0:	%{orgname}-%{snap}.tar.bz2
# Source0-md5:	b0c8afbeaf30937b551ef8598b316af5
URL:		https://projects.kde.org/projects/extragear/base/kwebkitpart
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	webkitkde
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE part library to use QtWebkit instread of KHTML. It works as plugin
for Konqueror.

%prep
%setup -q -n %{orgname}-%{snap}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwebkitpart.so
%{_iconsdir}/hicolor/*x*/apps/webkit.png
%{_datadir}/kde4/services/kwebkitpart.desktop
%{_datadir}/apps/kwebkitpart
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kwebkitpart.git;a=log;h=master

* Tue Apr 16 2013 Lukasz Masko <lmasko@pld-linux.org> 2a74c82
- Added URL.

* Tue Apr 16 2013 Lukasz Masko <lmasko@pld-linux.org> 6e478da
- Up to the latest version from git.
- Maybe versioning should be changed, this is tagged as 1.3.2 on the
  webpage.

* Tue Nov 29 2011 lmasko <lmasko@pld-linux.org> f02ffb7
- Up to a snapshot dated 20111129.

* Tue Oct 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f63af07
- package apps/xxx

* Tue Oct 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 063ab2f
- 4.7.2 (fake)

* Mon Sep 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 05ed80f
- release 2

* Mon Sep 26 2011 lmasko <lmasko@pld-linux.org> 6b42147
- Directory /usr/share/apps/kwebkitpart moved to kde4-kdebase.spec
  (konqueror part).

* Mon Sep 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e6e22c
- fake 4.7.1

* Tue Aug 02 2011 lmasko <lmasko@pld-linux.org> 51f1c32
- Updated to the latest version (1.2 from git).

* Mon May 23 2011 lisu <lisu@pld-linux.org> b2b70bb
- rel 2

* Mon Feb 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dd369a9
- pretent to be 4.6.1

* Fri Jan 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 178214a
- up to 4.6.0

* Tue Jan 04 2011 shadzik <shadzik@pld-linux.org> aedc852
- i'm getting really efficient at this

* Tue Jan 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cd64bb
- up to 4.5.5

* Tue Nov 30 2010 shadzik <shadzik@pld-linux.org> 508fa0b
- rel .2

* Sun Nov 28 2010 shadzik <shadzik@pld-linux.org> 054ff5b
- 4.5.4

* Fri Oct 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e93b1a1
- 4.5.3

* Sun Oct 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 304a0fd
- only bump ver

* Fri Aug 27 2010 shadzik <shadzik@pld-linux.org> e3d01d4
- fake 4.5.1

* Wed Aug 04 2010 shadzik <shadzik@pld-linux.org> 23fb706
- rel .2

